package com.steerinfo.baseinfo.meterbaseverificationcode.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class MeterBaseVerificationCode implements IBasePO<String> {
    /**
     * 主键编号(VERIFICATION_CODE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号",required=true)
    private String verificationCodeNo;

    /**
     * 验证码(VERIFICATION_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="验证码",required=false)
    private String verificationCode;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0:未使用;1:已使用）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0:未使用;1:已使用）",required=false)
    private String validFlag;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 有效时间（YYYY-MM-DD HH:mm:SS）(VAILD_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date vaildTime;

    /**
     * 手机号(PHONE_NUMBER,VARCHAR,11)
     */
    @ApiModelProperty(value="手机号",required=false)
    private String phoneNumber;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.verificationCodeNo;
    }

    @Override
    public void setId(String verificationCodeNo) {
        this.verificationCodeNo = verificationCodeNo == null ? null : verificationCodeNo.trim();
    }

    public String getVerificationCodeNo() {
        return verificationCodeNo;
    }

    public void setVerificationCodeNo(String verificationCodeNo) {
        this.verificationCodeNo = verificationCodeNo == null ? null : verificationCodeNo.trim();
    }

    public String getVerificationCode() {
        return verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode == null ? null : verificationCode.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getVaildTime() {
        return vaildTime;
    }

    public void setVaildTime(Date vaildTime) {
        this.vaildTime = vaildTime;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber == null ? null : phoneNumber.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", verificationCodeNo=").append(verificationCodeNo);
        sb.append(", verificationCode=").append(verificationCode);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createTime=").append(createTime);
        sb.append(", vaildTime=").append(vaildTime);
        sb.append(", phoneNumber=").append(phoneNumber);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}